## seyon 2.14c-5

=== Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl,v 1.224.1.1 95/06/19 17:51:01 gildea Exp $
# $XFree86: xc/config/cf/Imake.tmpl,v 3.18 1995/07/12 15:27:23 dawes Exp $
#

.SUFFIXES: .i

# $XConsortium: Imake.cf,v 1.19 95/01/05 19:24:32 kaleb Exp $
# $XFree86: xc/config/cf/Imake.cf,v 3.15 1995/06/08 06:18:39 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $
# site:  $XFree86: xc/config/cf/site.def,v 3.8 1995/05/27 01:56:50 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.48 1995/07/22 04:11:45 dawes Exp $

# -----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $XConsortium: linux.cf,v 1.11 95/01/23 18:32:03 kaleb Exp $
# platform:  $XFree86: xc/config/cf/linux.cf,v 3.26 1995/07/12 15:27:34 dawes Exp $

# $XConsortium: lnxLib.rules,v 1.8 95/01/16 21:11:00 kaleb Exp $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.14 1995/06/01 08:18:56 dawes Exp $

# $XConsortium: xfree86.cf,v 1.9 95/01/25 16:42:40 kaleb Exp $
# $XFree86: xc/config/cf/xfree86.cf,v 3.66 1995/07/22 04:11:47 dawes Exp $

LINKKITDIR = $(USRLIBDIR)/Server

       XF86SRC = $(SERVERSRC)/hw/xfree86
  XF86ACCELSRC = $(XF86SRC)/accel
    XF86COMSRC = $(XF86SRC)/common
 XF86CONFIGSRC = $(XF86COMSRC)
     XF86HWSRC = $(XF86SRC)/common_hw
     XF86OSSRC = $(XF86SRC)/os-support
  VGADRIVERSRC = $(XF86SRC)/vga256/drivers
VGA16DRIVERSRC = $(XF86SRC)/vga16/drivers
 VGA2DRIVERSRC = $(XF86SRC)/vga2/drivers
 MONODRIVERSRC = $(XF86SRC)/mono/drivers
   S3DRIVERSRC = $(XF86SRC)/accel/s3/drivers

        XFREE86DOCDIR = $(LIBDIR)/doc
      XFREE86PSDOCDIR = $(XFREE86DOCDIR)/PostScript
    XFREE86HTMLDOCDIR = $(XFREE86DOCDIR)/html
XFREE86JAPANESEDOCDIR = $(XFREE86DOCDIR)/Japanese

# $XConsortium: xf86.rules,v 1.7 95/01/25 16:34:39 kaleb Exp $
# $XFree86: xc/config/cf/xf86.rules,v 3.9 1995/07/12 15:27:38 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $
# site:  $XFree86: xc/config/cf/site.def,v 3.8 1995/05/27 01:56:50 dawes Exp $

# -----------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.197.1.1 95/06/19 18:01:48 gildea Exp $
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.18 1995/07/22 09:39:32 dawes Exp $

 _NULLCMD_ = @ echo -n

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util
           IXXSRC = $(UNSUPPORTEDSRC)/programs/ixx
              IXX = ixx
         IXXFLAGS = -s BaseObject -m TypeObj -r RequestObj -p Xf
      IXXINCLUDES = -i '<X11/Fresco/enter-scope.h>'

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc
               AS = as

.SUFFIXES: .cxx

              CXX = g++
    CXXDEBUGFLAGS = -O2 -m486
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
  CXXIDL_INCLUDES = -I$(TOP)/include
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES) $(CXXIDL_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = gcc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = flex -l
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
            TROFF = psroff
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4755

      PROJECTROOT = /usr/X11R6

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O2 -m486
        CCOPTIONS = -ansi

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl,v 1.249 95/05/23 21:36:40 matt Exp $
# $XFree86: xc/config/cf/Project.tmpl,v 3.18 1995/07/22 04:11:42 dawes Exp $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# $XConsortium: lnxLib.tmpl,v 1.5 95/01/11 21:44:44 kaleb Exp $
# $XFree86: xc/config/cf/lnxLib.tmpl,v 3.7 1995/04/09 13:39:23 dawes Exp $

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 6.0
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext
   LBXXEXTLIBSRC = $(TOP)/workInProgress/lbx/lib/Xext

    XEXEXTLIBSRC = $(LIBSRC)/XExExt

SOXEXTREV = 6.0
DEPXEXTLIB =
XEXTLIB =  -lXext

LINTXEXT = $(LINTLIBDIR)/llib-lXext.ln

SOXEXTREV = 6.0
DEPLBXXEXTLIB =
LBXXEXTLIB =  -llbxXext

LINTLBXXEXT = $(LINTLIBDIR)/llib-llbxXext.ln

DEPXEXEXTLIB = $(USRLIBDIR)/libXExExt.a
XEXEXTLIB =  -lXExExt

LINTXEXEXT = $(LINTLIBDIR)/llib-lXExExt.ln

     EXTENSIONLIB = $(XEXEXTLIB) $(XEXTLIB)
  DEPEXTENSIONLIB = $(DEPXEXEXTLIB) $(DEPXEXTLIB)
    LINTEXTENSION = $(LINTXEXEXT) $(LINTXEXT)

 LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 6.0
DEPXMULIB =
XMULIB =  -lXmu

LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

DEPOLDXLIB = $(USRLIBDIR)/liboldX.a
OLDXLIB =  -loldX

LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 6.0
DEPXTOOLONLYLIB =
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = 6.0
DEPXAWLIB =
XAWLIB =  -lXaw

LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

       XTFSRC = $(TOP)/workInProgress/Xtf

SOXTFREV = 0.7
DEPXTFLIB =
XTFLIB =  -lXtf

LINTXTF = $(LINTLIBDIR)/llib-lXtf.ln

       FRESCOSRC = $(TOP)/workInProgress/Fresco

SOFRESCOREV = 0.7
DEPFRESCOLIB =
FRESCOLIB =  -lFresco

LINTFRESCO = $(LINTLIBDIR)/llib-lFresco.ln

         XILIBSRC = $(LIBSRC)/Xi

SOXINPUTREV = 6.0
DEPXILIB =
XILIB =  -lXi

LINTXI = $(LINTLIBDIR)/llib-lXi.ln

      XTESTLIBSRC = $(LIBSRC)/Xtst

SOXTESTREV = 6.0
DEPXTESTLIB =
XTESTLIB =  -lXtst

LINTXTEST = $(LINTLIBDIR)/llib-lXtst.ln

        PEXLIBSRC = $(LIBSRC)/PEX5

SOPEXREV = 6.0
DEPPEXLIB =
PEXLIB =  -lPEX5

LINTPEX = $(LINTLIBDIR)/llib-lPEX5.ln

        XIELIBSRC = $(LIBSRC)/XIE

SOXIEREV = 6.0
DEPXIELIB =
XIELIB =  -lXIE

LINTXIE = $(LINTLIBDIR)/llib-lXIE.ln

      PHIGSLIBSRC = $(LIBSRC)/PHIGS

## seyon 2.20c

=== debian/changelog ===
seyon (2.20c-37) unstable; urgency=medium

  * QA upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1097873)

 -- Adrian Bunk <bunk@debian.org>  Fri, 24 Oct 2025 22:35:37 +0300

seyon (2.20c-36) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.5.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Fix day-of-week for changelog entries 2.20c-30, 2.14c-9.
  * Added XDG desktop entry and removed Debian menu entry.
  * Corrected debconf template formatting.  Thanks lintian.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 02 May 2024 00:54:27 +0200

seyon (2.20c-35) unstable; urgency=medium

  * QA upload.
  * debian/patches: Add missing includes. (Closes: #1066720)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 13 Mar 2024 22:54:54 +0100

seyon (2.20c-34) unstable; urgency=medium

  * QA upload.
  * Disable parallel building to workaround frequent FTBFS.

 -- Adrian Bunk <bunk@debian.org>  Tue, 27 Apr 2021 10:25:06 +0300

seyon (2.20c-33) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs with GCC-10. (Closes: #957788)
  * Update Standards-Version to 4.5.0
    - Use priority optional.
  * Use debhelper-compat.
    - Update compat level to 13.
  * Remove whitespace from d/changelog.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 28 Oct 2020 19:31:53 +0000

seyon (2.20c-32) unstable; urgency=medium

  * QA upload.
  * Switch to minimal dh debian/rules.
  * Switch to "3.0 (quilt)" source format.
  * Drop obsolete prerm (/usr/doc to /usr/share/doc transition).
  * debian/postinst: Do not worry about menus, debhelper already does.
  * debian/postrm: Do not worry about menus, debhelper already does.
  * Thanks to dh, debconf works again (it didn't for a long time).
  * debian/postrm: Do not worry about debconf, debhelper already does.
  * Add debian/po/pt_BR.po from J.S.Júnior. Closes: #663497.
  * debian/po: Convert remaining files to UTF-8.
  * Rename getline() to seyon_getline() to avoid conflict with system
    provided getline(). This fixes a FTBFS bug when building with
    glibc 2.21 and gcc 5. Reported by Daniel Schepler. Closes: #790281.
  * Do not define or use COMPILE_BY, COMPILE_HOST, COMPILE_DATE
    or COMPILE_TIME. This should make the build reproducible.

 -- Santiago Vila <sanvila@debian.org>  Sat, 26 Sep 2015 14:27:42 +0200

seyon (2.20c-31) unstable; urgency=low

  * QA upload
  * Use Debian QA Group as maintainer. Closes: #589106
  * Danish debconf translation update. Closes: #599433

 -- Christian Perrier <bubulle@debian.org>  Mon, 11 Oct 2010 21:41:31 +0200

seyon (2.20c-30) unstable; urgency=low

  * Fix pending l10n issues. Thanks for prodding from Christian Perrier!
    Debconf translations:
  * Japanese (Hideki Yamane (Debian-JP)).  Closes: #512984, #554095
  * Simplified Chinese (Ji ZhengYu).  Closes: #512984
  * Fix stupid string overflow in str_stripspc_copy(). Closes: #542828.
    Thanks to Frederic Danis for the patch.

 -- Steve McIntyre <93sam@debian.org>  Sat, 17 Jan 2009 21:28:04 +0000

seyon (2.20c-29) unstable; urgency=low

  * Fix pending l10n issues. Debconf translations:
    - Basque. Closes: #490118 (thanks to xabier bilbao)
    - Italian. Closes: #502472 (thanks to vince)
  * Many thanks again to Christian Perrier for his i18n efforts,
    co-ordinating the above.

 -- Steve McIntyre <93sam@debian.org>  Sat, 18 Oct 2008 01:33:32 +0100

seyon (2.20c-28) unstable; urgency=low

  * Fix pending debconf l10n issues, thanks to Christian Perrier for
    co-ordinating:
    - Spanish. Closes: #459264 (Rudy Godoy Guillén)
    - Norwegian Bokmål. Closes: #459264 (Bjørn Steensrud)
    - Finnish. Closes: #489128 (Esko Arajärvi)
    - Turkish. Closes: #489163 (Mert Dirik)
    - Galician. Closes: #489176 (Jacobo Tarrio)
    - Russian. Closes: #489531 (Yuri Kozlov)
  * Update Standards-Version
  * Move the menu entry from Apps/Net to
    Applications/Network/Communication

 -- Steve McIntyre <93sam@debian.org>  Wed, 09 Jul 2008 23:07:35 +0100

seyon (2.20c-27) unstable; urgency=low

  * Silly bug#2 from the repackaging: re-add /etc/X11/seyon.
    Closes: #440788

 -- Steve McIntyre <93sam@debian.org>  Tue, 04 Sep 2007 09:23:37 +0100

seyon (2.20c-26) unstable; urgency=low

  * Silly bug#1 from the repackaging: cope with a completely clean
    build. Closes: #440667

 -- Steve McIntyre <93sam@debian.org>  Mon, 03 Sep 2007 23:51:50 +0100

seyon (2.20c-25) unstable; urgency=low

  * Repackaged using debhelper, well overdue.
  * Cope with DEB_BUILD_OPTIONS. Closes: #438017.
  * Multiple lintian warning fixes.

 -- Steve McIntyre <93sam@debian.org>  Sun, 02 Sep 2007 00:15:24 +0100

seyon (2.20c-24) unstable; urgency=low

  * Don't fail to purge if debconf is no available in the postrm.
    Closes: #417323

 -- Steve McIntyre <93sam@debian.org>  Wed,  9 May 2007 22:36:54 +0100

seyon (2.20c-23) unstable; urgency=medium

  * Added German debconf template. Thanks to Helge Kreutzmann for the
    patch. Closes: #413395
  * Removed preinst file; it does nothing any more.
  * Rename man pages from <foo>.1x to <foo>.1.

 -- Steve McIntyre <93sam@debian.org>  Mon, 12 Mar 2007 00:58:54 +0100

seyon (2.20c-22) unstable; urgency=low

  * Fix bashisms in the debian build (config.include). Closes: #380108
  * Added Portuguese debconf template. Thanks to Luisa Lourenco and Rui
    Branco for the patch. Closes: #381712
  * Updated Standards-Version.

 -- Steve McIntyre <93sam@debian.org>  Sun, 13 Aug 2006 20:38:54 +1000

seyon (2.20c-21) unstable; urgency=high

  * Thanks to Steve Langasek for the NMU; using his patch. Closes: #366382
  * Strip /usr/bin/seyon, not /usr/share/bin/seyon.
  * Removed the Pre-Depend on x11-common; moved the help file from
    /usr/lib/X11 to /usr/share/seyon



=== debian/control ===
Source: seyon
Section: comm
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Build-Depends: bison,
               debhelper-compat (= 13),
               libxaw7-dev,
               libxmu-dev,
               libxt-dev,
               xutils-dev,
Vcs-Browser: https://salsa.debian.org/debian/seyon
Vcs-Git: https://salsa.debian.org/debian/seyon.git

Package: seyon
Architecture: any
Depends: debconf (>= 1.2.9) | debconf-2.0,
         xterm | x-terminal-emulator,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: ckermit,
          lrzsz,
Description: Full-featured native X11 communications program
 Seyon is a complete full-featured modem communications package
 for the X Window System. Some of its features are:
  - dialing directory
  - terminal emulation (DEC VT02, Tektronix 4014 and ANSI)
  - script language
  - Zmodem

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -fcommon -std=gnu17

%:
	dh $@ --no-parallel

override_dh_auto_build:
	xmkmf
	dh_auto_build -- LOCAL_LDFLAGS="$(LDFLAGS)" CDEBUGFLAGS="" \
		CCOPTIONS="$(CFLAGS) $(CPPFLAGS) -fno-strict-aliasing -Wall"

override_dh_installchangelogs:
	dh_installchangelogs 1-CHANGES
